op(400, xfx, #).  % infix operators

set(knuth_bendix).
clear(print_kept).
clear(print_new_demod).
clear(print_back_demod).
clear(print_back_sub).
assign(max_mem, 100000).
assign(pick_given_ratio, 4).

list(usable).
x = x.
end_of_list.

list(sos).

% Meredith axioms for BA in terms of Sheffer stroke.

(x # x) # (y # x) = x.                      % Meredith-1
(x # (y # (x # z))) = (((z # y) # y) # x).  % Meredith-2

list(sos).

%  Denial of single axiom (length 185, 8 variables)

(((((X#Y)# (X# (Z#Y)))# (X# (X# ((U#V)# (V#V)))))# ((X# (X# ((X#Y)#
(X# (Z#Y)))))# ((U#V)# (V#V))))# (V# (V# ((W# (V6# (V6# ((W# (V7#
(V7#V7)))# ((V7# (V7#W))#V7)))))# ((V6# (V6#W))# ((W# (V7# (V7#V7)))#
((V7# (V7#W))#V7)))))))# ((V# (V# ((((X#Y)# (X# (Z#Y)))# (X# (X#
((U#V)# (V#V)))))# ((X# (X# ((X#Y)# (X# (Z#Y)))))# ((U#V)# (V#V))))))#
((W# (V6# (V6# ((W# (V7# (V7#V7)))# ((V7# (V7#W))#V7)))))# ((V6#
(V6#W))# ((W# (V7# (V7#V7)))# ((V7# (V7#W))#V7))))) != W.

end_of_list.
